#%%{!?_rel:%{expand:%%global _rel 0.r%(test "1832" != "0000" && echo "1832" || svnversion | sed 's/[^0-9].*$//' | grep '^[0-9][0-9]*$' || git svn find-rev `git show -s --pretty=format:%h` || echo 0000)}}

%{!?sname:%global sname nhc}
%{!?nhc_script_dir:%global nhc_script_dir %{_sysconfdir}/%{sname}/scripts}
%{!?nhc_helper_dir:%global nhc_helper_dir %{_libexecdir}/%{sname}}

Summary: Warewulf Node Health Check System
Name: warewulf-nhc
Version: 1.4.2
Release: 1%{?dist}_liv1
License: US Dept. of Energy (BSD-like)
Group: Applications/System
URL: https://github.com/mej/nhc/
Source: https://github.com/mej/nhc/releases/download/1.4.2/lbnl-nhc-%version.tar.xz
# Don't repeat syslog messages in SGE loop
Patch1: warewulf-nhc-msg-cache.patch
# Avoid a space leak
Patch2: warewulf-nhc-leak.patch
Packager: %{?_packager}%{!?_packager:Michael Jennings <mej@lbl.gov>}
Vendor: %{?_vendorinfo}%{!?_vendorinfo:LBNL NHC Project (https://github.com/mej/nhc/)}
Requires: bash
BuildArch: noarch
BuildRoot: %{?_tmppath}%{!?_tmppath:/var/tmp}/%{name}-%{version}-%{release}-root

%description
This package contains the LBNL Node Health Check system.

TORQUE (and other resource managers) allow for the execution of a
script to determine if a node is "healthy" or "unhealthy" and
potentially mark unhealthy nodes as unavailable.  The scripts
contained in this package provide a flexible, extensible mechanism for
collecting health checks to be run on your cluster and specifying
which checks should be run on which nodes.


%prep
%setup -q -n lbnl-nhc-%version
%patch1 -p1 -b .msg
%patch2 -p1 -b .leak


%build
%{configure}
%{__make} %{?mflags}


%install
umask 0077
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}


%check
%{__make} test


%triggerpostun -p /bin/bash -- warewulf-nhc <= 1.4.2-1
if [ $1 -gt 0 -a $2 -eq 0 ]; then
    cd %{_sysconfdir}/%{sname}/scripts
    for SCRIPT in ww_*.nhc.rpmsave ; do
        if [ -e $SCRIPT ]; then
            NEWSCRIPT=lbnl${SCRIPT##ww}
            NEWSCRIPT=${NEWSCRIPT%%.rpmsave}
            echo warning: Auto-fixing script naming due to modified script ${SCRIPT%%.rpmsave}
            mv -v $NEWSCRIPT $NEWSCRIPT.rpmnew && mv -v $SCRIPT $NEWSCRIPT
        fi
    done 2>/dev/null
fi


%clean
test "$RPM_BUILD_ROOT" != "/" && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc COPYING ChangeLog LICENSE nhc.conf contrib/nhc.cron
%dir %{_sysconfdir}/%{sname}/
%dir %{_localstatedir}/lib/%{sname}/
%dir %{_localstatedir}/run/%{sname}/
%dir %{nhc_script_dir}/
%dir %{nhc_helper_dir}/
%config(noreplace) %{_sysconfdir}/%{sname}/%{sname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{sname}
%config(noreplace) %{nhc_script_dir}/*.nhc
%config(noreplace) %{nhc_helper_dir}/*
%{_sbindir}/%{sname}
%{_sbindir}/%{sname}-genconf
%{_sbindir}/%{sname}-wrapper


%changelog
* Mon Feb 29 2016 Dave Love <loveshack@fedoraproject.org> - 1.4.2-1_liv1
- New version
- Revert treatment of space leak in SGE case

* Sun Oct 18 2015 Dave Love <loveshack@fedoraproject.org> - 1.4.1-1_liv5
- Re-do SGE leak-avoidance

* Fri Jun  5 2015 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-1_liv4
- Correct update for leak patch

* Wed May  6 2015 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-1_liv3
- Fix leak patch

* Fri Mar 27 2015 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-1_liv2
- Avoid a space leak in SGE loop

* Tue Mar 24 2015 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-1_liv1
- Update to real 1.4.1
- Patch: don't repeat syslog messages in SGE loop

* Tue Mar 24 2015 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-0.r1832_liv1
- Don't make /usr/sbin files config(noreplace)

* Tue Nov  4 2014 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-0.r1821
- Update to current trunk and fix use as SGE loadsensor

* Wed Oct  8 2014 Dave Love <d.love@liverpool.ac.uk> - 1.4.1-0.r1792
- Base on current trunk
